Subject: Re: [Last-Call] [Gen-art] [MMUSIC] Genart last call review of draft-ietf-mmusic-t140-usage-data-channel-11

From: Alissa Cooper <[email-masked]>
Date: Mon, 6 Apr 2020 11:22:54 -0400

Linda, thanks for your review. Christer, Gunnar, thanks for your responses. I entered a No Objection ballot.

Alissa

> On Feb 15, 2020, at 5:33 AM, Gunnar Hellström <[email-masked]> wrote:
> 
> Hi Linda,
> I get the impression that you did think of T.140 as a standardized combination of audio, video and real-time text. That combination is called "total conversation", a term first mentioned in ITU-T F.703 "Multimedia conversational services", and after that mentioned in various standards for various technical environments. 
> 
> T.140 can be thought of as a "text codec" for the real-time text media. It can be combined with an audio codec and a video codec, all with their specific but externally specified packetization and transport standards for each technical session environment. WebRTC is one, where audio and video are carried by SRTP and T.140 real-time text by the WebRTC data channel in the way specified by the t140-usage draft. 
> 
> A session can contain any combination of these three media, as well as other data channel types.
> 
> Regards
> 
> Gunnar
> 
> Den 2020-02-14 kl. 23:16, skrev Christer Holmberg:
>> Hi,
>>  
>> >Yes, that is exactly what I was asking.
>> > 
>> >Based on your answer, the second sentence of your page 2 should be:
>> > 
>> >“ this document specifies how a WebRTC data channel is used as a transport for
>> > the real time text of T140”.
>> 
>> It is the "of T140" part that confuses me. 
>> 
>> T140 is ONLY for real-time text. There is no "T140 audio" or "T140 video".
>> 
>> Regards,
>> 
>> Christer
>>  
>>  
>> Linda
>>  
>> From: Christer Holmberg <[email-masked]> <mailto:[email-masked]> 
>> Sent: Friday, February 14, 2020 4:02 PM
>> To: Linda Dunbar <[email-masked]> <mailto:[email-masked]>; Gunnar Hellström <[email-masked]> <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
>> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
>> Subject: Re: [MMUSIC] Genart last call review of draft-ietf-mmusic-t140-usage-data-channel-11
>>  
>> Hi Linda,
>>  
>> >Gunnar, 
>> 
>> I am not Gunnar, but I will reply :)
>> 
>> >Thank you very much for the explanation. 
>> >
>> >Do you mean WebRTC data channel is used as Transport mechanism for real-time text, >but Audio and Video of T140  still use RTP or SRTP? 
>>  
>> I am not sure what you mean by "Audio and Video of T140". In WebRTC Audio and Video use SRTP, while the T.140 real-time text uses the data channel.
>>  
>> Regards,
>>  
>> Christer
>> 
>> 
>> -----Original Message-----
>> From: Gunnar Hellström <[email-masked] <mailto:[email-masked]>> 
>> Sent: Friday, February 14, 2020 1:03 PM
>> To: Linda Dunbar <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>
>> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
>> Subject: Re: [MMUSIC] Genart last call review of draft-ietf-mmusic-t140-usage-data-channel-11
>> 
>> Hi Linda,
>> 
>> You ask below:
>> "ITU-T T.140 uses RTP as transport, whereas this document describes using WebRTC for transport. WebRTC uses SRTP.
>> 
>> Does it mean this document proposes a different transport mechanism as the ITU-T T140? Why?"
>> 
>> ITU-T T.140 is a generally applicable presentation protocol for real-time text. Transports have been standardized for T.140 in a number of multimedia systems, most of them nowadays obsolete. E.g. ITU-T Q.224 for transport in H.320 ISDN Multimedia system, ITU-T V.18 for transport by low bitrate modems. etc. For use in traditional IP based multimedia systems ITU-T H.323 and IETF SIP, RTP transport is the standardized transport with packetization of T.140 specified in RFC 4103.
>> 
>> When WewbRTC was specified it was early said that only audio and video would be transported by RTP. All other, including real-time text would use data channels.  This decision was documented in use case U-C-5 in ietf-rtcweb-data-channel.
>> 
>> The reviewed draft obeys that decision and specifies how the general
>> T.140 transport is to be applied on a WebRTC data channel.
>> 
>> Regards
>> 
>> Gunnar
>> 
>> 
>> Den 2020-02-14 kl. 17:50, skrev Linda Dunbar via Datatracker:
>> > Reviewer: Linda Dunbar
>> > Review result: Ready with Nits
>> >
>> > I am the assigned Gen-ART reviewer for this draft. The General Area 
>> > Review Team (Gen-ART) reviews all IETF documents being processed by 
>> > the IESG for the IETF Chair.  Please treat these comments just like 
>> > any other last call comments.
>> >
>> > For more information, please see the FAQ at
>> >
>> > <https://protect2.fireeye..com/v1/url?k=7e8050ab-220a727d-7e801030-0cc47ad93dcc-e1706ed98975c910&q=1&e=4dbf2e13-f320-470a-a001-dcb3aa68c975&u=https%3A%2F%2Fnam03.safelinks.protection.outlook.com%2F%3Furl%3Dhttps%253A%252F%252Ftrac...ietf.org%252Ftrac%252Fgen%252Fwiki%252FGenArtfaq%26amp%3Bdata%3D02%257C01%257Clinda.dunbar%2540futurewei.com%257C0c2dca83131747ea654c08d7b18089ee%257C0fee8ff2a3b240189c753a1d5591fedc%257C1%257C0%257C637173037946430564%26amp%3Bsdata%3D3V7hrGs6kgkropYOVPNYC87NczEVIYMDzUQO1DsuXZQ%253D%26amp%3Breserved%3D0 <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fprotect2.fireeye.com%2Fv1%2Furl%3Fk%3D7e8050ab-220a727d-7e801030-0cc47ad93dcc-e1706ed98975c910%26q%3D1%26e%3D4dbf2e13-f320-470a-a001-dcb3aa68c975%26u%3Dhttps%253A%252F%252Fnam03.safelinks.protection.outlook.com%252F%253Furl%253Dhttps%25253A%25252F%25252Ftrac..ietf.org%25252Ftrac%25252Fgen%25252Fwiki%25252FGenArtfaq%2526amp%253Bdata%253D02%25257C01%25257Clinda.dunbar%252540futurewei.com%25257C0c2dca83131747ea654c08d7b18089ee%25257C0fee8ff2a3b240189c753a1d5591fedc%25257C1%25257C0%25257C637173037946430564%2526amp%253Bsdata%253D3V7hrGs6kgkropYOVPNYC87NczEVIYMDzUQO1DsuXZQ%25253D%2526amp%253Breserved%253D0&data=02%7C01%7Clinda.dunbar%40futurewei.com%7C6db1631dd95d40bbf91d08d7b199866d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637173145264409173&sdata=1z2J63ztJbPNdN87ZLiL%2F2I8dgsAMOUQ%2FXf77lh6hnQ%3D&reserved=0>>.
>> >
>> > Document: draft-ietf-mmusic-t140-usage-data-channel-11
>> > Reviewer: Linda Dunbar
>> > Review Date: 2020-02-14
>> > IETF LC End Date: 2020-02-06
>> > IESG Telechat date: Not scheduled for a telechat
>> >
>> > Summary:
>> >   This document specifies how a WebRTC data channel can be used as a transport
>> >   mechanism for T.140.  The document  ties several other documents together,
>> >   like xxx can be used, yyy must  be followed, etc..  So it is not easy to
>> >   validate the mechanism described by the document unless you are familiar with
>> >   all the reference documents.
>> > But in general, the document is very clear.
>> >
>> > Just one question:
>> > ITU-T T.140 uses RTP as transport, whereas this document describes 
>> > using WebRTC for transport.  WebRTC uses SRTP.
>> >
>> > Does it mean this document proposes a different transport mechanism as 
>> > the ITU-T T140?  Why?
>> >
>> > Major issues: None
>> >
>> > Minor issues: None
>> >
>> > Nits/editorial comments:
>> >
>> > Linda Dunbar
>> >
>> > _______________________________________________
>> > mmusic mailing list
>> > [email-masked] <mailto:[email-masked]>
>> > https://protect2.fireeye.com/v1/url?k=f7978fa8-ab1dad7e-f797cf33-0cc47ad93dcc-963180ddabb9ff10&q=1&e=4dbf2e13-f320-470a-a001-dcb3aa68c975&u=https%3A%2F%2Fnam03.safelinks.protection.outlook.com%2F%3Furl%3Dhttps%253A%252F%252Fwww <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fprotect2.fireeye.com%2Fv1%2Furl%3Fk%3Df7978fa8-ab1dad7e-f797cf33-0cc47ad93dcc-963180ddabb9ff10%26q%3D1%26e%3D4dbf2e13-f320-470a-a001-dcb3aa68c975%26u%3Dhttps%253A%252F%252Fnam03.safelinks.protection.outlook.com%252F%253Furl%253Dhttps%25253A%25252F%25252Fwww&data=02%7C01%7Clinda.dunbar%40futurewei.com%7C6db1631dd95d40bbf91d08d7b199866d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637173145264419165&sdata=O9apIRsY3I1QWzL5lwwiTumPN60yEZGaxg7ggYsz%2FEA%3D&reserved=0>.
>> > ietf.org <http://ietf.org/>%2Fmailman%2Flistinfo%2Fmmusic&amp;data=02%7C01%7Clinda.dunbar
>> > %40futurewei.com <http://40futurewei.com/>%7C0c2dca83131747ea654c08d7b18089ee%7C0fee8ff2a3b24018
>> > 9c753a1d5591fedc%7C1%7C0%7C637173037946430564&amp;sdata=hrfRcMoBuD%2BH
>> > fqoYmBbjHuYbO829I1eCTpc1tXogeo0%3D&amp;reserved=0
>> 
>> -- 
>> 
>> + + + + + + + + + + + + + +
>> 
>> Gunnar Hellström
>> Omnitor
>> [email-masked] <mailto:[email-masked]>
>> +46 708 204 288
>> 
>> _______________________________________________
>> Gen-art mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://protect2.fireeye.com/v1/url?k=53d6f693-0f5cd445-53d6b608-0cc47ad93dcc-4707848f68d9894a&q=1&e=4dbf2e13-f320-470a-a001-dcb3aa68c975&u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fgen-art <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fprotect2.fireeye.com%2Fv1%2Furl%3Fk%3D53d6f693-0f5cd445-53d6b608-0cc47ad93dcc-4707848f68d9894a%26q%3D1%26e%3D4dbf2e13-f320-470a-a001-dcb3aa68c975%26u%3Dhttps%253A%252F%252Fwww.ietf.org%252Fmailman%252Flistinfo%252Fgen-art&data=02%7C01%7Clinda.dunbar%40futurewei.com%7C6db1631dd95d40bbf91d08d7b199866d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637173145264419165&sdata=vOapG1QkRs%2Bj7bv921OeiEsV1Yu%2FvwelO9RA9yFqhlY%3D&reserved=0>-- 
> 
> + + + + + + + + + + + + + + 
> 
> Gunnar Hellström
> Omnitor
> [email-masked] <mailto:[email-masked]>
> +46 708 204 288
> _______________________________________________
> Gen-art mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gen-art <https://www.ietf.org/mailman/listinfo/gen-art>